This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 848516 - when pkcon resolve performed on invalid package there should be an error
when pkcon resolve performed on invalid package there should be an error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 15:39 EDT by Vladimir Benes
Modified: 2012-11-01 06:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 06:02:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-15 15:39:15 EDT
Description of problem:
when pkcon resolve performed on invalid package there should be an error no just silent fail. Exit code should be set to non-zero value as well.

Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.execute 'pkcon resolve invalid_package'
  
Actual results:
nothing and return code is 0

Expected results:
some error that package wasn't found and return code to non-zero

Additional info:
Comment 1 Richard Hughes 2012-11-01 06:02:12 EDT
Resolve in the API is used to find if a package with a specific name exists, e.g. like SearchName but with no wildcarding. I think it's correct that resolve returns with success when there are no packages with that name found, just like it does when you search for something that doesn't exist.

Note You need to log in before you can comment on or make changes to this bug.